## cmake 3.26.4

=== debian/changelog ===
cmake (3.26.4-4~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Timo Röhling <roehling@debian.org>  Sat, 29 Jul 2023 00:29:07 +0200

cmake (3.26.4-4) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Thu, 15 Jun 2023 23:32:16 +0200

cmake (3.26.4-3) experimental; urgency=medium

  [ Cordell Bloor ]
  * Fix HIP language integration (Closes: #1031799)

 -- Timo Röhling <roehling@debian.org>  Fri, 02 Jun 2023 22:32:20 +0200

cmake (3.26.4-2) experimental; urgency=medium

  * Tolerate empty /proc/cpuinfo

 -- Timo Röhling <roehling@debian.org>  Sun, 28 May 2023 13:14:04 +0200

cmake (3.26.4-1) experimental; urgency=medium

  * Do not build with link-time optimization (Closes: #1034873)
  * Fix obsolete Build-Depend on libncurses5-dev
  * Bump Standards-Version to 4.6.2
  * New upstream version 3.26.4
  * Enable hardening flags

 -- Timo Röhling <roehling@debian.org>  Tue, 23 May 2023 17:38:50 +0200
