## cmake 3.27.1

=== debian/changelog ===
cmake (3.27.1-2) unstable; urgency=medium

  * Fix pkg.cmake.bootstrap profile

 -- Timo Röhling <roehling@debian.org>  Sun, 30 Jul 2023 00:08:59 +0200

cmake (3.27.1-1) unstable; urgency=medium

  * New upstream version 3.27.1
  * Update patches
    - Drop backported bugfixes for Fortran regressions

 -- Timo Röhling <roehling@debian.org>  Wed, 26 Jul 2023 10:11:08 +0200

cmake (3.27.0-2) unstable; urgency=medium

  * Fix regressions with Fortran (Closes: #1041853)

 -- Timo Röhling <roehling@debian.org>  Tue, 25 Jul 2023 16:45:16 +0200

cmake (3.27.0-1) unstable; urgency=medium

  * New upstream version 3.27.0

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Jul 2023 00:34:17 +0200

cmake (3.27.0~rc5-1) experimental; urgency=medium

  * New upstream version 3.27.0~rc5
  * Drop 0002-Fix-regression-in-FindProtobuf.cmake.patch

 -- Timo Röhling <roehling@debian.org>  Fri, 14 Jul 2023 19:12:50 +0200

cmake (3.27.0~rc4-3) experimental; urgency=medium

  * Fix regression in FindProtobuf.cmake

 -- Timo Röhling <roehling@debian.org>  Fri, 14 Jul 2023 15:49:49 +0200

cmake (3.27.0~rc4-2) experimental; urgency=medium

  * Remove obsolete PythonInterp and PythonLibs from autopkgtest

 -- Timo Röhling <roehling@debian.org>  Wed, 12 Jul 2023 14:22:58 +0200

cmake (3.27.0~rc4-1) experimental; urgency=medium

  * New upstream version 3.27.0~rc4
  * Refresh patches
    - Drop 0002-Tolerate-empty-proc-cpuinfo.patch (merged upstream)
    - Drop 0003-Linux-Provide-multiarch-library-directory-regex-earl.patch
      (merged upstream)
    - Drop 0004-HIP-Fix-search-for-hip-lang-CMake-package-on-multiar.patch
      (merged upstream)
    - Drop 0005-HIP-Add-support-for-HIP-runtime-in-system-paths.patch
      (merged upstream)
  * Fix cmake_minimum_required() in findmodules test
  * New Build-Depend on libcppdap-dev

 -- Timo Röhling <roehling@debian.org>  Fri, 07 Jul 2023 12:16:14 +0200
