=== debian/changelog ===
cmake (3.27.4-1) unstable; urgency=medium

  * New upstream version 3.27.4
    - Fix version detection for zlib 1.3

 -- Timo Röhling <roehling@debian.org>  Sat, 26 Aug 2023 19:56:02 +0200

cmake (3.27.3-1) unstable; urgency=medium

  * Clean __pycache__ from source tree (Closes: #1043733)
  * New upstream version 3.27.3

 -- Timo Röhling <roehling@debian.org>  Mon, 21 Aug 2023 10:28:27 +0200

cmake (3.27.2-1) unstable; urgency=medium

  * New upstream version 3.27.2

 -- Timo Röhling <roehling@debian.org>  Fri, 11 Aug 2023 12:19:26 +0200
