## cmake 3.27.6

=== debian/changelog ===
cmake (3.27.6-1) unstable; urgency=medium

  * New upstream version 3.27.6

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Sep 2023 23:16:59 +0200

cmake (3.27.5-1) unstable; urgency=medium

  * New upstream version 3.27.5

 -- Timo Röhling <roehling@debian.org>  Fri, 15 Sep 2023 13:46:42 +0200
