## cmake 3.27.9

=== debian/changelog ===
cmake (3.27.9-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Timo Röhling <roehling@debian.org>  Tue, 05 Dec 2023 21:17:34 +0100

cmake (3.27.9-1) unstable; urgency=medium

  * New upstream version 3.27.9

 -- Timo Röhling <roehling@debian.org>  Sat, 02 Dec 2023 20:59:48 +0100

cmake (3.27.8-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Timo Röhling <roehling@debian.org>  Sun, 26 Nov 2023 00:07:07 +0100

cmake (3.27.8-1) unstable; urgency=medium

  * New upstream version 3.27.8

 -- Timo Röhling <roehling@debian.org>  Sat, 18 Nov 2023 08:25:04 +0100

cmake (3.27.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Timo Röhling <roehling@debian.org>  Fri, 13 Oct 2023 18:14:28 +0200

cmake (3.27.7-1) unstable; urgency=medium

  * New upstream version 3.27.7

 -- Timo Röhling <roehling@debian.org>  Sun, 08 Oct 2023 23:31:53 +0200

cmake (3.27.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Timo Röhling <roehling@debian.org>  Wed, 27 Sep 2023 11:37:43 +0200

cmake (3.27.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Sep 2023 09:51:23 +0200

cmake (3.27.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Timo Röhling <roehling@debian.org>  Fri, 01 Sep 2023 13:53:41 +0200

cmake (3.27.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Timo Röhling <roehling@debian.org>  Wed, 16 Aug 2023 11:55:12 +0200
