=== debian/changelog ===
cmake (3.28.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Timo Röhling <roehling@debian.org>  Wed, 10 Jan 2024 10:37:12 +0100

cmake (3.28.1-1) unstable; urgency=medium

  * New upstream version 3.28.1
    - Do not expect EINTR when sleep is interrupted on GNU/Hurd
      (Closes: #1057785)

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Dec 2023 22:41:16 +0100

cmake (3.28.0-1) unstable; urgency=medium

  * New upstream version 3.28.0
  * Install new cmake-cxxmodules(7) man page

 -- Timo Röhling <roehling@debian.org>  Thu, 07 Dec 2023 09:31:28 +0100
